﻿using System;
using System.Diagnostics;
using Medo.Security.Cryptography;

namespace PasswordHashing {
    class App {
        static void Main(string[] args) {
            Console.Write("Enter password: ");
            string password = Console.ReadLine();

            Console.Write("Enter username: ");
            string username = Console.ReadLine();

            var sw = new Stopwatch();
            sw.Start();
            string hash = PasswordHash.EncodePassword(password, username);
            sw.Stop();

            Console.WriteLine("Hash .........: " + hash);
            Console.WriteLine("Elapsed time .: " + sw.ElapsedMilliseconds.ToString() + " ms");


            Console.WriteLine();


            Console.Write("Check password: ");
            string password2 = Console.ReadLine();

            Console.Write("Check username: ");
            string username2 = Console.ReadLine();

            sw.Restart();
            var result = PasswordHash.CheckPassword(hash, password2, username2);
            sw.Stop();

            if (result) {
                Console.WriteLine("Result .......: Password is correct.");
            } else {
                Console.WriteLine("Result .......: Password is NOT correct!");
            }
            Console.WriteLine("Elapsed time .: " + sw.ElapsedMilliseconds.ToString() + " ms");

            Console.ReadKey();
        }
    }
}
